# Stripe

{% hint style="info" %}
CrowdPower is a [Stripe Verified Partner](https://stripe.com/partners/crowdpower) and listed in Stripe’s app directory.
{% endhint %}

With our native Stripe integration, you can sync your Stripe customers with your customer data on CrowdPower. Stripe will send in events, like when a new Subscription is created or a charge is made, and you can use those events to trigger automations.

The connection uses OAuth, so it's as easy as clicking a button and authorizing the app for your business on Stripe. Once connected, we'll begin the process of syncing your account. Depending on how many customers you have in Stripe, this may take a while.

When you first sync with Stripe, it will import your customers into CrowdPower, along with their subscription and charge data. If the customers already exist by email address, they will be updated, otherwise new ones will be created. The sync will not populate customer event feeds as that will happen going forward when new events are sent to CrowdPower from Stripe.

### Segments

The integration will add new segments to your project.

* **Active Stripe Subscribers** - Customers with an active subscription.
* **New Stripe Customers** - Customers created in the past month.

### Events

The integration will add new events to your project and send in billing events as they occur. These events will appear in customer profiles and can be used to trigger automations.

* **Stripe Subscription Created** - Occurs when a customer is signed up for a new plan.
* **Stripe Subscription Updated** - Occurs when a customer switches plans.
* **Stripe Subscription Deleted** - Occurs when a customer's subscription ends.
* **Stripe Subscription Trial Will End** - Occurs three days before a subscription's trial period is scheduled to end, or when a trial is ended immediately (using `trial_end=now`).
* **Stripe Charge Succeeded** - Occurs when a new charge is created, and is successful.
* **Stripe Charge Failed** - Occurs when a failed charge attempt occurs.
* **Stripe Charge Refunded** - Occurs when a charge is refunded, including partial refunds.
* **Stripe Invoice Upcoming** - Occurs X number of days before a subscription is scheduled to create an invoice that is automatically charged—where X is determined by your [subscriptions settings](https://dashboard.stripe.com/account/billing/automatic).

You can read more about Stripe webhook events on their API docs, [here](https://stripe.com/docs/api/events/types).

### Traits

The integration will add new traits to your project that will be included on customer profiles.

<table><thead><tr><th width="332.763702697606">Name</th><th>Field</th></tr></thead><tbody><tr><td>Stripe Customer ID</td><td>stripe.customer_id</td></tr><tr><td>Stripe Created</td><td>stripe.created_at</td></tr><tr><td>Stripe Name</td><td>stripe.name</td></tr><tr><td>Stripe Email</td><td>stripe.email</td></tr><tr><td>Stripe Phone</td><td>stripe.phone</td></tr><tr><td>Stripe Description</td><td>stripe.description</td></tr><tr><td>Stripe Address 1</td><td>stripe.address1</td></tr><tr><td>Stripe Address 2</td><td>stripe.address2</td></tr><tr><td>Stripe State</td><td>stripe.state</td></tr><tr><td>Stripe City</td><td>stripe.city</td></tr><tr><td>Stripe Postal Code</td><td>stripe.postal_code</td></tr><tr><td>Stripe Country</td><td>stripe.country</td></tr><tr><td>Stripe Active Subscription</td><td>stripe.active_subscription</td></tr><tr><td>Stripe Metadata</td><td>stripe.metadata.{key}</td></tr></tbody></table>

### Installation

Connect your Stripe account in [Integrations](https://app.crowdpower.io/settings/integrations).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.crowdpower.io/integrations/stripe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
